Last Comment Bug 400165 - Firefox 2 will not compile on Mac OS X 10.5 in common configurations
: Firefox 2 will not compile on Mac OS X 10.5 in common configurations
Status: RESOLVED FIXED
: fixed1.8.1.10
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: 1.8 Branch
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Josh Aas
:
Mentors:
: 401598 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-17 10:22 PDT by Josh Aas
Modified: 2007-11-15 16:40 PST (History)
11 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
fix MFX v1.0 (1.73 KB, patch)
2007-10-17 10:24 PDT, Josh Aas
mark: review+
benjamin: superreview+
dveditz: approval1.8.1.10+
Details | Diff | Review
pthread_kill fix v1.0 (987 bytes, patch)
2007-10-17 12:34 PDT, Josh Aas
no flags Details | Diff | Review
trunk MFX fix v1.0 (2.48 KB, patch)
2007-10-17 14:48 PDT, Josh Aas
benjamin: superreview+
mtschrep: approval1.9+
Details | Diff | Review
fix tests with 10.4u SDK, v1.0 (853 bytes, patch)
2007-10-22 09:49 PDT, Josh Aas
mark: review+
roc: superreview+
dveditz: approval1.8.1.10+
Details | Diff | Review

Description Josh Aas 2007-10-17 10:22:17 PDT
Firefox 2 will not compile with the native 10.5 SDK and tests turned on. You have to use the 10.4 SDK and turn tests off.
Comment 1 Josh Aas 2007-10-17 10:24:34 PDT
Created attachment 285244 [details] [diff] [review]
fix MFX v1.0

We can fix this bug in pieces. Here is part 1, MoreFilesX. FSVolumeMount exists on 10.5, we can't redefine it in MFX.
Comment 2 Mark Mentovai 2007-10-17 12:19:48 PDT
Comment on attachment 285244 [details] [diff] [review]
fix MFX v1.0

>-	const void *volMountInfo,
>+    const void *volMountInfo,
> 	FSVolumeRefNum *volRefNum);

This file uses tabs, so just leave the tab as-is to ensure that the parameters line up properly.
Comment 3 Josh Aas 2007-10-17 12:34:53 PDT
Created attachment 285261 [details] [diff] [review]
pthread_kill fix v1.0
Comment 4 Josh Aas 2007-10-17 14:48:31 PDT
Created attachment 285274 [details] [diff] [review]
trunk MFX fix v1.0
Comment 5 Josh Aas 2007-10-17 14:50:00 PDT
We should just land the MFX part of this, syncing trunk, and require users to use the 10.4 SDK. Getting the 1.8 branch working correctly with the 10.5 SDK is going to be a huge pain.
Comment 6 Mark Mentovai 2007-10-17 14:51:40 PDT
Note: 1.8 stuff will still be buildable on Leopard as long as the 10.4u (or lower) SDK is selected.  This is fine.
Comment 7 Josh Aas 2007-10-22 09:49:32 PDT
Created attachment 285742 [details] [diff] [review]
fix tests with 10.4u SDK, v1.0

You can't build with the 10.4u SDK if you have tests enabled.

In file included from mozilla/dbm/tests/lots.c:66:
/Developer/SDKs/MacOSX10.4u.sdk/usr/lib/gcc/i686-apple-darwin9/4.0.1/include/varargs.h:4:2: error: #error "GCC no longer implements <varargs.h>."
/Developer/SDKs/MacOSX10.4u.sdk/usr/lib/gcc/i686-apple-darwin9/4.0.1/include/varargs.h:5:2: error: #error "Revise your code to use <stdarg.h>."
mozilla/dbm/tests/lots.c:108:18: error: macro "va_start" requires 2 arguments, but only 1 given

And so on. I think we just need to define STDC_HEADERS and we will be fine, but I can't test this at the moment because autoconf213 package is broken on 10.5.
Comment 8 Mark Mentovai 2007-10-23 09:35:54 PDT
Comment on attachment 285742 [details] [diff] [review]
fix tests with 10.4u SDK, v1.0

This sounds fine to me, but I don't think it's a 1.8-only problem, the same thing seems to exist on the trunk.
Comment 9 Josh Aas 2007-10-29 12:05:44 PDT
*** Bug 401598 has been marked as a duplicate of this bug. ***
Comment 10 Mark Mentovai 2007-10-30 14:48:09 PDT
MacPorts' autoconf213 works on 10.5 for me now.

See also bug 401768 for more (different) 10.5 build problems on the 1.8 branch.
Comment 11 Mark Mentovai 2007-10-30 18:56:51 PDT
Comment on attachment 285261 [details] [diff] [review]
pthread_kill fix v1.0

See bug 401813 for an alternative to this (obsolete) patch.
Comment 12 Daniel Veditz [:dveditz] 2007-11-07 15:22:20 PST
Comment on attachment 285244 [details] [diff] [review]
fix MFX v1.0

approved for 1.8.1.10, a=dveditz for release-drivers
Comment 13 Josh Aas 2007-11-08 05:24:38 PST
tests fix landed on 1.8 branch, waiting to land trunk patch to mark this bug fixed
Comment 14 Mark Mentovai 2007-11-08 11:21:14 PST
Josh, are you waiting to land the trunk MFX patch to land the MFX 1.8 branch patch too?
Comment 15 Josh Aas 2007-11-08 12:56:53 PST
No, I didn't notice that it got approved. I'll land it asap. Thanks for pointing that out.
Comment 16 Josh Aas 2007-11-08 13:57:28 PST
checked in "fix MFX v1.0" with tab comment addressed on MOZILLA_1_8_BRANCH

leaving this open for the trunk version of that fix
Comment 17 Josh Aas 2007-11-09 11:45:48 PST
trunk sync fix landed
Comment 18 Al Billings [:abillings] 2007-11-15 16:40:58 PST
Josh, can you verify that the issue is fixed in *both* branch and trunk, please?

Note You need to log in before you can comment on or make changes to this bug.